> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/references/catalog/job-server-instance-configuration.md).

# Job Server Instance Configuration

Query JobServer instance configurations

## Retrieve existing JobServer instance configurations

> Retrieve existing JobServer instance configurations. \<br />This operation is deprecated and it will be removed the next major release

```json
{"openapi":"3.0.3","info":{"title":"Collibra Catalog API","version":"1.0"},"tags":[{"name":"JobServer Instance configuration","description":"Query JobServer instance configurations"}],"servers":[{"url":"/rest/catalog/1.0","variables":{}}],"security":[{},{"basicAuth":[]},{"jwtAuth":[]},{"oauth2":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","description":"Collibra REST API authentication using Basic Authentication.","scheme":"basic"},"jwtAuth":{"type":"http","description":"Collibra REST API authentication using JSON Web Token.","scheme":"bearer","bearerFormat":"JWT"},"oauth2":{"type":"oauth2","description":"Collibra REST API authentication using OAuth 2.","flows":{"clientCredentials":{"tokenUrl":"/rest/oauth/v2/token","scopes":{}}}}},"schemas":{"JobServerInstanceResponse":{"type":"object","properties":{"total":{"type":"integer","description":"The total number of results.","format":"int64"},"offset":{"type":"integer","description":"The offset for the results.","format":"int64"},"limit":{"type":"integer","description":"The maximum number of results to be returned.","format":"int64"},"results":{"type":"array","description":"The list of results.","items":{"$ref":"#/components/schemas/JobServerInstance"}}}},"JobServerInstance":{"type":"object","properties":{"id":{"type":"string","description":"The JobServer id","format":"uuid"},"name":{"type":"string","description":"The JobServer name"},"address":{"type":"string","description":"The JobServer address"}},"description":"Represents a JobServer instance from DGC Configuration"}}},"paths":{"/configuration/jobServerInstance":{"get":{"tags":["JobServer Instance configuration"],"summary":"Retrieve existing JobServer instance configurations","description":"Retrieve existing JobServer instance configurations. <br />This operation is deprecated and it will be removed the next major release","operationId":"getAvailableJobServerInstances","parameters":[{"name":"offset","in":"query","description":"The first result to retrieve. If not set (offset = <code>0</code>), results will be retrieved starting from row <code>0</code>.","schema":{"type":"integer","format":"int32","default":0}},{"name":"limit","in":"query","description":"The maximum number of results to retrieve. If not set (limit = <code>0</code>), the default limit will be used. The maximum allowed limit is 1000.","schema":{"type":"integer","format":"int32","default":0}},{"name":"countLimit","in":"query","description":"Allows to limit the number of elements that will be counted. -1 will count everything and 0 will cause the count to be skipped","schema":{"type":"integer","format":"int32","default":-1}}],"responses":{"200":{"description":"The list of available configured JobServer instances","content":{"application/json":{"schema":{"$ref":"#/components/schemas/JobServerInstanceResponse"}}}},"400":{"description":"Request is not valid."},"401":{"description":"User lacks permission."}},"deprecated":true}}}}
```
